Bug Hunting Session
Bug 125620 - add Korean Hangul Jamo CodePoint Range
Summary: add Korean Hangul Jamo CodePoint Range
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: DaeHyun Sung
URL:
Whiteboard: target:6.4.0 target:6.3.0.1
Keywords:
Depends on:
Blocks: CJK CJK-Korean
  Show dependency treegraph
 
Reported: 2019-06-01 13:30 UTC by DaeHyun Sung
Modified: 2019-06-09 14:25 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description DaeHyun Sung 2019-06-01 13:30:44 UTC
Description:
In LibreOffice's Korean Hangul part, It check Korean code points only 3 part ranges.
(such as, 
U+AC00 - U+D7AF - Hangul Syllables
U+3130 - U+318F - Hangul Compatibility Jamo
U+1100 - U+11FF - Hangul Jamo )




Below is Korean Hangul Jamo and Syllables code point ranges on Unicode Consortium
Hangul Jamo (Range: U+1100 - U+11FF)
http://www.unicode.org/charts/PDF/U1100.pdf
Hangul Jamo Extended-A (Range: U+A960 - U+A97F)
http://www.unicode.org/charts/PDF/UA960.pdf
Hangul Jamo Extended-B (Range: U+D7B0 - U+D7FF)
http://www.unicode.org/charts/PDF/UD7B0.pdf
Hangul Compatibility Jamo (Range: U+3130 - U+318F)
http://www.unicode.org/charts/PDF/U3130.pdf
Hangul Syllables (Range: U+AC00 - U+D7AF)
http://www.unicode.org/charts/PDF/UAC00.pdf


I think, need to add Some Korean Code point range  on LibreOffice.

Actual Results:
only check Korean code points 3 part ranges.
(such as, 
U+AC00 - U+D7AF - Hangul Syllables
U+3130 - U+318F - Hangul Compatibility Jamo
U+1100 - U+11FF - Hangul Jamo )


Expected Results:
all Korean code point ranges


U+1100 - U+11FF: Hangul Jamo
U+A960 - U+A97F: Hangul Jamo Extended-A
U+D7B0 - U+D7FF: Hangul Jamo Extended-B
U+3130 - U+318F: Hangul Compatibility Jamo
U+AC00 - U+D7AF: Hangul Syllables



Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 DaeHyun Sung 2019-06-01 14:18:50 UTC
added and submitted to add Korean Hangul Jamo CodePoint Range.
 
tdf#125620 add Korean Hangul Jamo codepoint ranges
https://gerrit.libreoffice.org/73309
Comment 2 Commit Notification 2019-06-08 20:19:45 UTC
DaeHyun Sung committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/d9a31b8e164ad39e8b2f49b8e136cd9108ccac36%5E%21

tdf#125620 add Korean Hangul Jamo codepoint ranges

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2019-06-09 14:24:50 UTC
DaeHyun Sung committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/dbb046db3ec1523b2c1ba6c5446b05a77bebfeb4%5E%21

tdf#125620 add Korean Hangul Jamo codepoint ranges

It will be available in 6.3.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.